part of bai_dict;


class BaiDictPage extends StatefulWidget {
  final String keyword;
  const BaiDictPage({
    Key? key,
    required this.keyword
  }) : super(key: key);

  @override
  State<BaiDictPage> createState() => _BaiKePageState();
}

class _BaiKePageState extends State<BaiDictPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        centerTitle: false,
        title: Text(widget.keyword,style: TextStyle(fontSize: 14.w,fontWeight: Fonts.medium,color: Colours.c3),),
      ),
      body: InAppWebView(
        initialUrlRequest: URLRequest(
            url: WebUri.uri(Uri.parse('https://dict.baidu.com/s?wd=${widget.keyword}'))
        ),
      ),
    );
  }
}